org.aspectj.lang.reflect

## Interface CodeSignature

All Superinterfaces:
  MemberSignature, Signature

All Known Subinterfaces:
  AdviceSignature, ConstructorSignature, InitializerSignature, MethodSignature

    public interface CodeSignature
    extends MemberSignature

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class[]` `getExceptionTypes()`
`java.lang.String[]` `getParameterNames()`
`java.lang.Class[]` `getParameterTypes()`

### Methods inherited from interface org.aspectj.lang.Signature

`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

### Method Detail

#### getParameterTypes

    java.lang.Class[] getParameterTypes()

#### getParameterNames

    java.lang.String[] getParameterNames()

#### getExceptionTypes

    java.lang.Class[] getExceptionTypes()